Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	startup-notification libraries
Name:		startup-notification
Version:	0.10
Release:	2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Source0:	%{name}-%{version}.tar.gz
License:	GNU/GPL
Group: 		System/Libraries
URL:		http://www.freedesktop.org/software/startup-notification/
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: pkg-config
BuildRequires: xcb-util-devel

%description
The startup-notification package contains startup-notification libraries.
These are useful for building a consistent manner to notify the user
through the cursor that the application is loading.

%package 	devel
Group:		System/Libraries
Summary:	%{name}
Requires:	%{name} = %{version}-%{release}
%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep

%setup -qn %{name}-%{version}

%build
./configure	--prefix=%{_prefix} \
		--libexecdir=%{_prefix}/sbin \
		--disable-debug\
		--enable-optimize\
		--enable-final
make

%install
rm -rf $RPM_BUILD_ROOT 
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libstartup-notification-1.so.*

%files devel
%{_includedir}/startup-notification-1.0/libsn
%{_libdir}/libstartup-notification-1.a
%{_libdir}/libstartup-notification-1.la
%{_libdir}/libstartup-notification-1.so
%{_pkgconfig}/libstartup-notification-1.0.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 10 2010 Karsten Brockmann <arcam@ccux-linux.de>  0.10-2
- rebuilt 
* Tue Sep 29 2009 Christian Metzen <metzench@ccux-linux.de> 0.10-1
- Version update
* Tue May 24 2005 Christian Metzen <metzench@ccux-linux.de> 0.8-4
- Fixed minor Bug
* Tue May 24 2005 Christian Metzen <metzench@ccux-linux.de> 0.8-3
- Fixed Summary / Bug #0000065
* Wed Apr 13 2005 Christian Metzen <metzench@ccux-linux.de> 0.8-2
- Fixed Description / Bug #0000065
* Wed Apr 06 2005 H.-U. Schukraft <Schukraft@CCux-Linux.de> 0.8-1
- Version Update to 0.8
* Fri Apr 16 2004 Christian Metzen <metzench@ccux-linux.de> 0.5-1
- Initial Release
